## LibinsaneOptionDescriptor

LibinsaneOptionDescriptor

## Functions

const char * | libinsane_option_descriptor_get_name ()
const char * | libinsane_option_descriptor_get_title ()
const char * | libinsane_option_descriptor_get_desc ()
LibinsaneCapability | libinsane_option_descriptor_get_capabilities ()
GType | libinsane_option_descriptor_get_value_type ()
LibinsaneUnit | libinsane_option_descriptor_get_value_unit ()
LibinsaneConstraintType | libinsane_option_descriptor_get_constraint_type ()
GArray * | libinsane_option_descriptor_get_constraint ()
gboolean | libinsane_option_descriptor_is_readable ()
gboolean | libinsane_option_descriptor_is_writable ()
const GValue * | libinsane_option_descriptor_get_value ()
LibinsaneSetFlag | libinsane_option_descriptor_set_value ()

## Types and Values

enum | LibinsaneSetFlag
#define | LIBINSANE_OPTION_DESCRIPTOR_TYPE

## Description

## Functions

### libinsane_option_descriptor_get_name ()

    const char *
    libinsane_option_descriptor_get_name (LibinsaneOptionDescriptor *self);

### libinsane_option_descriptor_get_title ()

    const char *
    libinsane_option_descriptor_get_title (LibinsaneOptionDescriptor *self);

### libinsane_option_descriptor_get_desc ()

    const char *
    libinsane_option_descriptor_get_desc (LibinsaneOptionDescriptor *self);

### libinsane_option_descriptor_get_capabilities ()

    LibinsaneCapability
    libinsane_option_descriptor_get_capabilities
                                   (LibinsaneOptionDescriptor *self);

### libinsane_option_descriptor_get_value_type ()

    GType
    libinsane_option_descriptor_get_value_type
                                   (LibinsaneOptionDescriptor *self);

### libinsane_option_descriptor_get_value_unit ()

    LibinsaneUnit
    libinsane_option_descriptor_get_value_unit
                                   (LibinsaneOptionDescriptor *self);

### libinsane_option_descriptor_get_constraint_type ()

    LibinsaneConstraintType
    libinsane_option_descriptor_get_constraint_type
                                   (LibinsaneOptionDescriptor *self);

### libinsane_option_descriptor_get_constraint ()

    GArray *
    libinsane_option_descriptor_get_constraint
                                   (LibinsaneOptionDescriptor *self);

#### Returns

item scan options.

[element-type GValue][transfer container]

### libinsane_option_descriptor_is_readable ()

    gboolean
    libinsane_option_descriptor_is_readable
                                   (LibinsaneOptionDescriptor *self);

### libinsane_option_descriptor_is_writable ()

    gboolean
    libinsane_option_descriptor_is_writable
                                   (LibinsaneOptionDescriptor *self);

### libinsane_option_descriptor_get_value ()

    const GValue *
    libinsane_option_descriptor_get_value (LibinsaneOptionDescriptor *self,
                                           GError **error);

### libinsane_option_descriptor_set_value ()

    LibinsaneSetFlag
    libinsane_option_descriptor_set_value (LibinsaneOptionDescriptor *self,
                                           GValue *value,
                                           GError **error);

## Types and Values

### enum LibinsaneSetFlag

#### Members

LIBINSANE_SET_FLAG_NONE |  |
LIBINSANE_SET_FLAG_INEXACT |  |
LIBINSANE_SET_FLAG_MUST_RELOAD_OPTIONS |  |
LIBINSANE_SET_FLAG_MUST_RELOAD_PARAMS |  |

### LIBINSANE_OPTION_DESCRIPTOR_TYPE

    #define             LIBINSANE_OPTION_DESCRIPTOR_TYPE